Subject: Re: [PATCH net-next v1 0/3] selftests: rds: ROCE support follow ups

From: Jakub Kicinski <[email-masked]>
Date: Fri, 22 May 2026 19:14:23 -0700

On Fri, 22 May 2026 18:19:35 -0700 Allison Henderson wrote:
> On Fri, 2026-05-22 at 17:46 -0700, Jakub Kicinski wrote:
> > On Fri, 22 May 2026 14:54:27 -0700 Allison Henderson wrote:  
> > > This is a follow up series to the "Add ROCE support to rds selftests"
> > > series.  The first patch renames run.sh to rds_run.sh, and also adds
> > > two wrappers to the TEST_PROGS target to run the same test over the
> > > rdma and tcp transports.  The wrappers rds_rdma_run.sh and
> > > rds_tcp_run.sh also provide self-describing names that appear on the
> > > netdev CI dashboard.  
> > 
> > Could you make the RDMA test return XFAIL rather than skip when RXE
> > is not available? We try to use SKIP for cases which are easy to
> > fix, like a tool missing. We won't be running RDMA tests in netdev..  
> 
> Sure, if you want I could also drop the wrappers since rds_run.sh defaults to tcp.  
> Then patch 1 would just be a rename.  Let me know what you prefer.

Dropping the new wrapper SGTM. But IIRC Matthieu suggested the split,
we should let him also chime in.